AI resources
Get payment

This endpoint retrieves the data of a payment ("advanced_payment") by its ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
advanced_payment_id
number

REQUIRED

Unique identifier of the payment.
Response parameters
id
number
Unique identifier of the payment.
wallet_payment
object
Wallet payment data from a seller with a prior Wallet Connect agreement.
payments
array
List of payments that were generated.
disbursements
array
List of disbursements distributed among the sellers.
Errors

400Request error.

invalid_path_param

The "advanced_payment_id" provided in the path is not valid. Please confirm it and provide a valid id to try again.

500Generic error.

internal_error

An internal server error occurred. Please try again later. If the problem persists, contact support and provide the x-request-id and details about the operation performed.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "id": 10267812,
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "discount": {
      "amount": 10,
      "code": "WALLET10"
    }
  },
  "payments": [
    {
      "id": 3870106238,
      "status": "approved",
      "status_detail": "accredited",
      "payment_type_id": "credit_card",
      "payment_method_id": "credit_card",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "disbursements": [
    {
      "collector_id": "987654"
    }
  ],
  "payer": {
    "id": 8879
  },
  "site_id": "MLM",
  "binary_mode": false,
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}